package intrinsic.mx.rpc.events;

public class AbstractEvent extends intrinsic.mx.messaging.events.MessageEvent {

	/** Accessors */
	public intrinsic.mx.rpc.AsyncToken token;

	/** Variables */
	public intrinsic.mx.messaging.messages.IMessage message;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AbstractEvent() {
}

public AbstractEvent(String arg0) {
}

public AbstractEvent(String arg0, boolean arg1) {
}

public AbstractEvent(String arg0, boolean arg1, boolean arg2) {
}

public AbstractEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.AsyncToken arg3) {
}

public AbstractEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.rpc.AsyncToken arg3, intrinsic.mx.messaging.messages.IMessage arg4) {
}


/** Static Methods */

/** Methods */
public native void callTokenResponders();

}
